#version 450 core

layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec2 inTexCoord;

out VS_OUT {
    vec3 position;
    vec2 texCoord;
} vs_out;

void main() {
    vs_out.position = (vec4(inPosition, 1.0f)).xyz;
    vs_out.texCoord = inTexCoord;
}